import { __awaiter, __decorate } from "tslib";
import { customElement, DOM, FASTElement } from '@microsoft/fast-element';
import { Router } from '@microsoft/fast-router';
const routerProperty = '$router';
let FoundationRouter = class FoundationRouter extends Router.from(FASTElement) {
    connectedCallback() {
        super.connectedCallback();
        DOM.queueUpdate(() => __awaiter(this, void 0, void 0, function* () {
            this[routerProperty].config = this.config;
        }));
    }
};
FoundationRouter = __decorate([
    customElement({
        name: 'foundation-router',
    })
], FoundationRouter);
export { FoundationRouter };
//# sourceMappingURL=router.js.map