import { Switch as FASTSwitch } from '@microsoft/fast-components';
import { foundationSwitchTemplate as template } from './switch.template';
import { foundationSwitchStyles as styles } from './switch.styles';
export class Switch extends FASTSwitch {
}
export const foundationSwitchShadowOptions = undefined;
export const defaultSwitchConfig = {
    switch: `<div class="checked-indicator" part="checked-indicator"></div>`,
};
export const foundationSwitch = Switch.compose(Object.assign({ baseName: 'switch', template,
    styles, shadowOptions: foundationSwitchShadowOptions }, defaultSwitchConfig));
//# sourceMappingURL=switch.js.map